JettyRun (Gradle API 3.2.1)
Date: 2016-11-22

org.gradle.api.plugins.jetty

## Class JettyRun

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.plugins.jetty.AbstractJettyRunTask
        - - org.gradle.api.plugins.jetty.JettyRun

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

  Deprecated.
  The Jetty plugin has been deprecated

      @Deprecated
      public class JettyRun
      extends AbstractJettyRunTask

  Deploys an exploded web application to an embedded Jetty web container. Does not require that the web application be assembled into a war, saving time during the development cycle.

  Once started, the web container can be configured to run continuously, scanning for changes in the project and automatically performing a hot redeploy when necessary. This allows the developer to concentrate on coding changes to the project using their IDE of choice and have those changes immediately and transparently reflected in the running web container, eliminating development time that is wasted on rebuilding, reassembling and redeploying.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask

      `consoleScanner, PORT_SYSPROPERTY, reload, scannerListeners`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyRun()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyJettyXml()` Deprecated.
    `void` | `configureScanner()` Deprecated.
    `void` | `configureWebApplication()` Deprecated. Subclasses should invoke this to setup basic info on the webapp.
    `org.gradle.api.plugins.jetty.internal.JettyPluginServer` | `createServer()` Deprecated. create a proxy that wraps a particular jetty version Server object.
    `void` | `finishConfigurationBeforeStart()` Deprecated.
    `FileCollection` | `getClasspath()` Deprecated. Returns the classpath for the web application.
    `List<File>` | `getClassPathFiles()` Deprecated.
    `org.mortbay.jetty.handler.ContextHandler[]` | `getConfiguredContextHandlers()` Deprecated.
    `Set<File>` | `getExtraScanTargets()` Deprecated.
    `File` | `getJettyEnvXml()` Deprecated.
    `File` | `getJettyEnvXmlFile()` Deprecated.
    `ScanTargetPattern[]` | `getScanTargetPatterns()` Deprecated.
    `File[]` | `getScanTargets()` Deprecated.
    `File` | `getWebAppSourceDirectory()` Deprecated. Returns the directory containing the web application source files.
    `File` | `getWebXml()` Deprecated. Returns the `web.xml` file to use.
    `protected File` | `getWebXmlIfExists()` Deprecated.
    `void` | `restartWebApp(boolean reconfigureScanner)` Deprecated.
    `void` | `setClasspath(FileCollection classpath)` Deprecated. Set the classpath for the web application.
    `void` | `setClassPathFiles(List<File> classPathFiles)` Deprecated.
    `void` | `setContextHandlers(org.mortbay.jetty.handler.ContextHandler[] contextHandlers)` Deprecated.
    `void` | `setExtraScanTargets(Iterable<File> extraScanTargets)` Deprecated.
    `void` | `setJettyEnvXml(File jettyEnvXml)` Deprecated.
    `void` | `setJettyEnvXmlFile(File jettyEnvXmlFile)` Deprecated.
    `void` | `setScanTargetPatterns(ScanTargetPattern[] scanTargetPatterns)` Deprecated.
    `void` | `setScanTargets(File[] scanTargets)` Deprecated.
    `void` | `setWebAppSourceDirectory(File webAppSourceDirectory)` Deprecated.
    `void` | `setWebXml(File webXml)` Deprecated.
    `void` | `validateConfiguration()` Deprecated.

    - ### Methods inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask

      `findJettyWebXmlFile, getAdditionalRuntimeJars, getConnectors, getContextPath, getHttpPort, getJettyConfig, getOverrideWebXml, getReload, getRequestLog, getScanIntervalSeconds, getScanner, getScannerListeners, getServer, getStopKey, getStopPort, getUserRealms, getWebAppConfig, getWebDefaultXml, isDaemon, setAdditionalRuntimeJars, setConnectors, setContextPath, setDaemon, setHttpPort, setJettyConfig, setOverrideWebXml, setReload, setRequestLog, setScanIntervalSeconds, setScannerListeners, setServer, setStopKey, setStopPort, setUserRealms, setWebAppConfig, setWebDefaultXml, start, startConsoleScanner, startJetty, startJettyInternal`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JettyRun

          public JettyRun()

      Deprecated.

  - ### Method Detail

    - #### validateConfiguration

          public void validateConfiguration()

      Deprecated.
      Specified by:
        `validateConfiguration` in class `AbstractJettyRunTask`

    - #### configureWebApplication

          public void configureWebApplication()
                                       throws Exception

      Deprecated.
      Description copied from class: `AbstractJettyRunTask`
      Subclasses should invoke this to setup basic info on the webapp.
      Overrides:
        `configureWebApplication` in class `AbstractJettyRunTask`
      Throws:
        `Exception`

    - #### configureScanner

          public void configureScanner()

      Deprecated.
      Specified by:
        `configureScanner` in class `AbstractJettyRunTask`

    - #### restartWebApp

          public void restartWebApp(boolean reconfigureScanner)
                             throws Exception

      Deprecated.
      Specified by:
        `restartWebApp` in class `AbstractJettyRunTask`
      Throws:
        `Exception`

    - #### finishConfigurationBeforeStart

          public void finishConfigurationBeforeStart()
                                              throws Exception

      Deprecated.
      Specified by:
        `finishConfigurationBeforeStart` in class `AbstractJettyRunTask`
      Throws:
        `Exception`

    - #### applyJettyXml

          public void applyJettyXml()
                             throws Exception

      Deprecated.
      Specified by:
        `applyJettyXml` in class `AbstractJettyRunTask`
      Throws:
        `Exception`

    - #### createServer

          public org.gradle.api.plugins.jetty.internal.JettyPluginServer createServer()

      Deprecated.
      Description copied from class: `AbstractJettyRunTask`
      create a proxy that wraps a particular jetty version Server object.
      Specified by:
        `createServer` in class `AbstractJettyRunTask`
      Returns:
        The Jetty Plugin Server

    - #### getJettyEnvXml

          @InputFile
          @Optional
          public File getJettyEnvXml()

      Deprecated.

    - #### setJettyEnvXml

          public void setJettyEnvXml(File jettyEnvXml)

      Deprecated.

    - #### getWebXml

          @Internal(value="See webXmlIfExists")
          public File getWebXml()

      Deprecated.
      Returns the `web.xml` file to use. When `null`, no `web.xml` file is used.

    - #### getWebXmlIfExists

          @Optional
          @InputFile
          protected File getWebXmlIfExists()

      Deprecated.

    - #### setWebXml

          public void setWebXml(File webXml)

      Deprecated.

    - #### getWebAppSourceDirectory

          @InputDirectory
          public File getWebAppSourceDirectory()

      Deprecated.
      Returns the directory containing the web application source files.

    - #### setWebAppSourceDirectory

          public void setWebAppSourceDirectory(File webAppSourceDirectory)

      Deprecated.

    - #### getScanTargets

          @Internal
          public File[] getScanTargets()

      Deprecated.

    - #### setScanTargets

          public void setScanTargets(File[] scanTargets)

      Deprecated.

    - #### getExtraScanTargets

          @Internal
          public Set<File> getExtraScanTargets()

      Deprecated.

    - #### setExtraScanTargets

          public void setExtraScanTargets(Iterable<File> extraScanTargets)

      Deprecated.

    - #### getJettyEnvXmlFile

          @InputFile
          @Optional
          public File getJettyEnvXmlFile()

      Deprecated.

    - #### setJettyEnvXmlFile

          public void setJettyEnvXmlFile(File jettyEnvXmlFile)

      Deprecated.

    - #### getClassPathFiles

          @Internal
          public List<File> getClassPathFiles()

      Deprecated.

    - #### setClassPathFiles

          public void setClassPathFiles(List<File> classPathFiles)

      Deprecated.

    - #### getScanTargetPatterns

          @Internal
          public ScanTargetPattern[] getScanTargetPatterns()

      Deprecated.

    - #### setScanTargetPatterns

          public void setScanTargetPatterns(ScanTargetPattern[] scanTargetPatterns)

      Deprecated.

    - #### getConfiguredContextHandlers

          @Internal
          public org.mortbay.jetty.handler.ContextHandler[] getConfiguredContextHandlers()

      Deprecated.

    - #### setContextHandlers

          public void setContextHandlers(org.mortbay.jetty.handler.ContextHandler[] contextHandlers)

      Deprecated.

    - #### getClasspath

          @Classpath
          public FileCollection getClasspath()

      Deprecated.
      Returns the classpath for the web application.

    - #### setClasspath

          public void setClasspath(FileCollection classpath)

      Deprecated.
      Set the classpath for the web application.